diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 10f35381a8fdbc015ef34fa84d805322a41771a1..753e3d626f9256b90d00fa1a7c4d3694d161b984 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -111,5 +111,5 @@ release:
     - js-dependencies
   only:
     - main
-    - alpha
     - beta
+    - alpha
diff --git a/scripts/bundle-prepare.sh b/scripts/bundle-prepare.sh
index 883110a86829e98acdf16b04a76edfc2ee6c9506..6bddd173443b19c5344cae57061d287247d22c35 100644
--- a/scripts/bundle-prepare.sh
+++ b/scripts/bundle-prepare.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # install only production dependencies using the --no-dev option
 composer install --no-dev --prefer-dist --no-ansi --no-interaction --no-progress --ignore-platform-reqs
diff --git a/scripts/bundle.sh b/scripts/bundle.sh
index d3e4893f9c7c15736333919ddcb700a3b6f704db..f3bed6d83a7f7155f6145d6f187751ececed8810 100644
--- a/scripts/bundle.sh
+++ b/scripts/bundle.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 VERSION=$1
 COMPOSER_VERSION=$(echo "$VERSION" | perl -pe 's/(?<=[alpha|beta])\.//g')
diff --git a/scripts/lint-commit-msg.sh b/scripts/lint-commit-msg.sh
index 00fb1e26ae3827e88e9da7b8f02a9ba142397b0e..c48b935b3261b068a09e2f190e7b5f979f75c901 100755
--- a/scripts/lint-commit-msg.sh
+++ b/scripts/lint-commit-msg.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # see https://github.com/conventional-changelog/commitlint/issues/885
 
diff --git a/scripts/package.sh b/scripts/package.sh
index adefe625e5547a4a5d6f80388a958f933038ad2f..89269fe79c6ea51b42e2bf34dc8de46e65157a70 100644
--- a/scripts/package.sh
+++ b/scripts/package.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 VERSION=$1
 
diff --git a/vite.config.ts b/vite.config.ts
index c98eed8eaa1ed6f8a3797e49f9b9ecd991a58821..861c45bea19c5129c68ae6b390bec688c2bd1982 100644
--- a/vite.config.ts
+++ b/vite.config.ts
@@ -13,15 +13,15 @@ export default defineConfig({
     sourcemap: true,
     rollupOptions: {
       input: {
-        "podcast.ts": "app/Resources/js/podcast.ts",
-        "install.ts": "app/Resources/js/install.ts",
-        "app.ts": "app/Resources/js/app.ts",
-        "admin.ts": "app/Resources/js/admin.ts",
-        "charts.ts": "app/Resources/js/charts.ts",
-        "map.ts": "app/Resources/js/map.ts",
-        "audio-player.ts": "app/Resources/js/audio-player.ts",
-        "embed.ts": "app/Resources/js/embed.ts",
-        "styles/index.css": "app/Resources/styles/index.css",
+        "podcast.ts": "js/podcast.ts",
+        "install.ts": "js/install.ts",
+        "app.ts": "js/app.ts",
+        "admin.ts": "js/admin.ts",
+        "charts.ts": "js/charts.ts",
+        "map.ts": "js/map.ts",
+        "audio-player.ts": "js/audio-player.ts",
+        "embed.ts": "js/embed.ts",
+        "styles/index.css": "styles/index.css",
       },
     },
   },